#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1539\r"; sleep 2;
echo -e "write (0,1) -1653\r"; sleep 2;
echo -e "write (0,2) -1554\r"; sleep 2;
echo -e "write (0,3) -1481\r"; sleep 2;
echo -e "write (0,4) -1630\r"; sleep 2;
echo -e "write (0,5) -1631\r"; sleep 2;
echo -e "write (0,6) -1384\r"; sleep 2;
echo -e "write (0,9) -1535\r"; sleep 2;
echo -e "write (0,10) -1385\r"; sleep 2;
echo -e "write (0,11) -1574\r"; sleep 2;
echo -e "write (0,12) -1441\r"; sleep 2;
echo -e "write (0,13) -1585\r"; sleep 2;
echo -e "write (0,14) -1598\r"; sleep 2;
echo -e "write (1,0) -1608\r"; sleep 2;
echo -e "write (1,1) -1358\r"; sleep 2;
echo -e "write (1,2) -1393\r"; sleep 2;
echo -e "write (1,3) -1524\r"; sleep 2;
echo -e "write (1,4) -1354\r"; sleep 2;
echo -e "write (1,5) -1512\r"; sleep 2;
echo -e "write (1,6) -1501\r"; sleep 2;
echo -e "write (1,9) -1618\r"; sleep 2;
echo -e "write (1,10) -1638\r"; sleep 2;
echo -e "write (1,11) -1635\r"; sleep 2;
echo -e "write (1,12) -1537\r"; sleep 2;
echo -e "write (1,13) -1548\r"; sleep 2;
echo -e "write (1,14) -1526\r"; sleep 2;
echo -e "write (2,0) -1681\r"; sleep 2;
echo -e "write (2,1) -1647\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1627\r"; sleep 2;
echo -e "write (2,4) -1453\r"; sleep 2;
echo -e "write (2,5) -1600\r"; sleep 2;
echo -e "write (2,6) -1405\r"; sleep 2;
echo -e "write (2,9) -1392\r"; sleep 2;
echo -e "write (2,10) -1611\r"; sleep 2;
echo -e "write (2,11) -1406\r"; sleep 2;
echo -e "write (2,12) -1541\r"; sleep 2;
echo -e "write (2,13) -1674\r"; sleep 2;
echo -e "write (2,14) -1440\r"; sleep 2;
echo -e "write (3,0) -1537\r"; sleep 2;
echo -e "write (3,1) -1600\r"; sleep 2;
echo -e "write (3,2) -1615\r"; sleep 2;
echo -e "write (3,3) -1633\r"; sleep 2;
echo -e "write (3,4) -1635\r"; sleep 2;
echo -e "write (3,5) -1544\r"; sleep 2;
echo -e "write (3,6) -1554\r"; sleep 2;
echo -e "write (3,9) -1674\r"; sleep 2;
echo -e "write (3,10) -1613\r"; sleep 2;
echo -e "write (3,11) -1665\r"; sleep 2;
echo -e "write (3,12) -1572\r"; sleep 2;
echo -e "write (3,13) -1495\r"; sleep 2;
echo -e "write (3,14) -1623\r"; sleep 2;
echo -e "write (4,0) -1610\r"; sleep 2;
echo -e "write (4,1) -1590\r"; sleep 2;
echo -e "write (4,2) -1520\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1594\r"; sleep 2;
echo -e "write (4,5) -1638\r"; sleep 2;
echo -e "write (4,6) -1560\r"; sleep 2;
echo -e "write (4,9) -1574\r"; sleep 2;
echo -e "write (4,10) -1635\r"; sleep 2;
echo -e "write (4,11) -1621\r"; sleep 2;
echo -e "write (4,12) -1578\r"; sleep 2;
echo -e "write (4,13) -1578\r"; sleep 2;
echo -e "write (4,14) -1581\r"; sleep 2;
echo -e "write (5,0) -1686\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1691\r"; sleep 2;
echo -e "write (5,3) -1499\r"; sleep 2;
echo -e "write (5,4) -1670\r"; sleep 2;
echo -e "write (5,5) -1681\r"; sleep 2;
echo -e "write (5,6) -1321\r"; sleep 2;
echo -e "write (5,9) -1644\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1630\r"; sleep 2;
echo -e "write (5,12) -1315\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1655\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1459\r"; sleep 2;
echo -e "write (6,2) -1282\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1396\r"; sleep 2;
echo -e "write (6,5) -1361\r"; sleep 2;
echo -e "write (6,6) -1295\r"; sleep 2;
echo -e "write (6,9) -1618\r"; sleep 2;
echo -e "write (6,10) -1276\r"; sleep 2;
echo -e "write (6,11) -1575\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1534\r"; sleep 2;
echo -e "write (6,14) -1468\r"; sleep 2;
echo -e "write (8,0) -1567\r"; sleep 2;
echo -e "write (8,1) -1574\r"; sleep 2;
echo -e "write (8,2) -1368\r"; sleep 2;
echo -e "write (8,3) -1390\r"; sleep 2;
echo -e "write (8,4) -1496\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1527\r"; sleep 2;
echo -e "write (8,9) -1417\r"; sleep 2;
echo -e "write (8,10) -1541\r"; sleep 2;
echo -e "write (8,11) -1614\r"; sleep 2;
echo -e "write (8,12) -1564\r"; sleep 2;
echo -e "write (8,13) -1544\r"; sleep 2;
echo -e "write (8,14) -1514\r"; sleep 2;
echo -e "write (9,0) -1698\r"; sleep 2;
echo -e "write (9,1) -1611\r"; sleep 2;
echo -e "write (9,2) -1543\r"; sleep 2;
echo -e "write (9,3) -1615\r"; sleep 2;
echo -e "write (9,4) -1665\r"; sleep 2;
echo -e "write (9,5) -1449\r"; sleep 2;
echo -e "write (9,6) -1560\r"; sleep 2;
echo -e "write (9,9) -1638\r"; sleep 2;
echo -e "write (9,10) -1679\r"; sleep 2;
echo -e "write (9,11) -1691\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1559\r"; sleep 2;
echo -e "write (9,14) -1586\r"; sleep 2;
echo -e "write (10,0) -1518\r"; sleep 2;
echo -e "write (10,1) -1461\r"; sleep 2;
echo -e "write (10,2) -1598\r"; sleep 2;
echo -e "write (10,3) -1585\r"; sleep 2;
echo -e "write (10,4) -1643\r"; sleep 2;
echo -e "write (10,5) -1411\r"; sleep 2;
echo -e "write (10,6) -1398\r"; sleep 2;
echo -e "write (10,9) -1625\r"; sleep 2;
echo -e "write (10,10) -1642\r"; sleep 2;
echo -e "write (10,11) -1493\r"; sleep 2;
echo -e "write (10,12) -1502\r"; sleep 2;
echo -e "write (10,13) -1678\r"; sleep 2;
echo -e "write (10,14) -1651\r"; sleep 2;
echo -e "write (11,0) -1690\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1360\r"; sleep 2;
echo -e "write (11,3) -1536\r"; sleep 2;
echo -e "write (11,4) -1521\r"; sleep 2;
echo -e "write (11,5) -1697\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1441\r"; sleep 2;
echo -e "write (11,11) -1442\r"; sleep 2;
echo -e "write (11,12) -1367\r"; sleep 2;
echo -e "write (11,13) -1268\r"; sleep 2;
echo -e "write (11,14) -1647\r"; sleep 2;
echo -e "write (12,0) -1615\r"; sleep 2;
echo -e "write (12,1) -1640\r"; sleep 2;
echo -e "write (12,2) -1556\r"; sleep 2;
echo -e "write (12,3) -1683\r"; sleep 2;
echo -e "write (12,5) -1600\r"; sleep 2;
echo -e "write (12,6) -1455\r"; sleep 2;
echo -e "write (12,7) -1560\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1551\r"; sleep 2;
echo -e "write (12,12) -1527\r"; sleep 2;
echo -e "write (12,13) -1559\r"; sleep 2;
echo -e "write (12,14) -1516\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1600\r"; sleep 2;
echo -e "write (13,2) -1548\r"; sleep 2;
echo -e "write (13,3) -1320\r"; sleep 2;
echo -e "write (13,4) -1551\r"; sleep 2;
echo -e "write (13,5) -1463\r"; sleep 2;
echo -e "write (13,6) -1600\r"; sleep 2;
echo -e "write (13,9) -1646\r"; sleep 2;
echo -e "write (13,10) -1616\r"; sleep 2;
echo -e "write (13,11) -1523\r"; sleep 2;
echo -e "write (13,12) -1531\r"; sleep 2;
echo -e "write (13,13) -1303\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1600\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1600\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1600\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1519\r"; sleep 2;
echo -e "write (14,12) -1502\r"; sleep 2;
echo -e "write (14,13) -1544\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1566\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1474\r"; sleep 2;
echo -e "write (15,3) -1676\r"; sleep 2;
echo -e "write (15,4) -1455\r"; sleep 2;
echo -e "write (15,5) -1513\r"; sleep 2;
echo -e "write (15,6) -1507\r"; sleep 2;
echo -e "write (15,7) -1620\r"; sleep 2;
echo -e "write (15,8) -1468\r"; sleep 2;
echo -e "write (15,9) -1433\r"; sleep 2;
echo -e "write (15,10) -1437\r"; sleep 2;
echo -e "write (15,11) -1521\r"; sleep 2;
echo -e "write (15,12) -1537\r"; sleep 2;
echo -e "write (15,13) -1676\r"; sleep 2;
echo -e "write (15,14) -1387\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
